/* $Workfile: OsaLinuxDaVinciI2c.h $   $Revision: 2 $    $Modtime: 1/22/09 2:33p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2008-2009, All Rights Reserved

*******************************************************************************/

#ifndef OSA_LINUX_DAVINCI_I2C_H
#define OSA_LINUX_DAVINCI_I2C_H

#ifdef DAVINCI


#ifdef __cplusplus
extern "C" {
#else
#endif

// MSP430 (RTC) specific
extern OsaInt32 OsaLinuxDaVinciRtcGetVersion(OsaUint8 *nRtcFwVersion);
extern OsaInt32 OsaLinuxDaVinciRtcGetTemperature(OsaInt8 *currentDegC, OsaInt8 *limitDegC, OsaInt8 *maxDegC);
extern OsaInt32 OsaLinuxDaVinciRtcResetMaxTemp(void);
extern OsaInt32 OsaLinuxDaVinciRtcSetTempLimit(OsaInt8 limitDegC);
extern OsaInt32 OsaLinuxDaVinciRtcSetOutputState(OsaUint8 p2Val, OsaUint8 p3Val);
extern OsaInt32 OsaLinuxDaVinciRtcGetInputState(OsaUint8 *p2Val, OsaUint8 *p3Val);

// EEPROM specific
extern OsaInt32 OsaLinuxDaVinciEepromReadBuf(OsaUint16 nAddress, OsaUint8 *pBuf, OsaInt32 cbBuf);
extern OsaInt32 OsaLinuxDaVinciEepromWritePage(OsaUint16 nAddress, OsaUint8 *pBuf, OsaInt32 cbBuf);

// Generic
extern OsaInt32 OsaLinuxDaVinciI2cRead(OsaInt32 cbBuf, OsaUint8 *pBuf, OsaUint8 nI2cAddress);
extern OsaInt32 OsaLinuxDaVinciI2cWrite(OsaInt32 cbBuf, OsaUint8 *pBuf, OsaUint8 nI2cAddress);



#ifdef __cplusplus
}
#endif

#endif // DAVINCI code only

#endif  // OSA_LINUX_DAVINCI_I2C_H

